
-- @AutoRun
-- drop table tl_factor_hdr;



CREATE TABLE tl_factor_hdr (
    object_id numeric(12) NOT NULL ,
    object_last_updated_date timestamp DEFAULT NOW() NOT NULL ,
    object_created_date timestamp DEFAULT NOW() NOT NULL
    ,
    class_code varchar(200) NULL,
    factor_hdr_notes text NULL,
    left_annot varchar(60) NULL,
    right_annot varchar(60) NULL,
    z_score_wght numeric(20,5) NULL,
    z_score_wght_2 numeric(20,5) NULL,
    level_number numeric(12)  NULL,
    factor_number numeric(12)  NULL
    );



ALTER TABLE tl_factor_hdr ADD    
    CONSTRAINT pk_tl_factor_hdr PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_factor_hdr_level_number 
    ON tl_factor_hdr (level_number);

    CREATE INDEX idx_tl_factor_hdr_factor_number 
    ON tl_factor_hdr (factor_number);
